# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2017-03-21 14:11
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


def init_deployment_plan_project(apps, schema_editor):
    DeploymentPlan = apps.get_model('nodeconductor_cost_planning', 'DeploymentPlan')
    for dp in DeploymentPlan.objects.all():
        project = dp.customer.projects.first()
        if project:
            dp.project = project
            dp.save()
        else:
            dp.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('structure', '0044_terms_of_services_url'),
        ('nodeconductor_cost_planning', '0002_migratetonewlogic'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='deploymentplan',
            name='email_to',
        ),
        migrations.RemoveField(
            model_name='deploymentplan',
            name='pdf',
        ),
        migrations.AddField(
            model_name='deploymentplan',
            name='project',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='structure.Project'),
        ),
        migrations.RunPython(init_deployment_plan_project),
    ]
